<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #	
#-----------------------------------------------------#
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";

include_once"../template/pclzip.php";

$text = file("../local/profil/$log.prof"); 

if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);
$dostup=trim($udata[7]);
$privat=trim($udata[10]);}

if ($_SESSION['log']!="" && md5($_SESSION['par'])!="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {
if ($dostup==101){
	
echo'<img src="../images/img/partners.gif" alt=""> <b>Распаковка архивов</b><br><br>';


//-------------------------РАСПАКОВКА АРХИВОВ------------------------------//
if($action=="antizip"){
if($file!="" && $papka!=""){
$zip=new PclZip("../$papka/$file");
if ($zip->extract(PCLZIP_OPT_PATH, "../$papka/")!=0) {
echo '<br>Архив '.check($file).' успешно распакован в папку '.check($papka).'<br>';
} else {echo '<br>Произошла ошибка, возможно вы неправильно указали путь к архиву, или к папке<br>';}
} else {echo '<br>Произошла ошибка, не указаны архив или папку для распаковки<br>';}  
echo '<br><img src="../images/img/back.gif" alt=""> <a href="antizip.php?'.SID.'">Вернуться</a>';
}


//-------------------------ЗАПАКОВКА АРХИВОВ------------------------------//
if($action=="zip"){
if($file!="" && $papka!=""){
$zip=new PclZip("../$papka/$file");
if ($zip->add("../$papka", PCLZIP_OPT_REMOVE_PATH, "../$papka")!=0) {
$list = $zip->delete(PCLZIP_OPT_BY_NAME, $file);
echo '<br>Папка '.check($papka).' успешно запакована в архив '.check($file).'<br>';
} else {echo '<br>Произошла ошибка, возможно вы неправильно указали путь к архиву, или к папке<br>';}
} else {echo '<br>Произошла ошибка, не указаны архив или папку для запаковки<br>';}  
echo '<br><img src="../images/img/back.gif" alt=""> <a href="antizip.php?'.SID.'">Вернуться</a>';
}

if(!isset($action)){
if($config_themes!="wml"){
echo '<form action="antizip.php?'.SID.'" method="post">';
echo '<b>Директория:</b><br><input type="text" name="papka" value="" /> <br>';
echo '<b>Архив (.zip):</b><br><input type="text" name="file" value="" /><br>';

echo '<select name="action"><option value="antizip">Распаковать</option>';
echo '<option value="zip">Запаковать</option></select><br><br>';
echo '<input type="submit" name="antizip" value="Выполнить" /></form><hr>';
}else{

echo '<b>Директория:</b><br>';
echo '<input name="papka" value=""/><br>';
echo '<b>Архив (.zip):</b><br>';
echo '<input name="file" value=""/><br>';
echo '<select name="action"><option value="antizip">Распаковать</option>';
echo '<option value="zip">Запаковать</option></select><br><br>';
echo '<anchor>Выполнить';
echo '<go href="antizip.php?'.SID.'" method="post">';

echo '<postfield name="papka" value="$(papka)"/>';
echo '<postfield name="file" value="$(file)"/>';
echo '<postfield name="action" value="$(action)"/>';
echo '</go></anchor><br>--------------------<br><br>';

}

echo '<br>Данный сервис позволяет вам распаковывать или запаковывать архивы .zip прямо на вашем сайте<br>';
echo '<br>Для распаковки архивов достаточно его загрузить в нужную вам папку, к примеру, мы через ftp загрузили архив guestbook.zip в папку test<br>';
echo 'Теперь мы должны прописать путь к нему, в поле Папка пишем: test<br>';
echo 'В поле Архив пишем: guestbook.zip  нажимаем выполнить и все готово, если вы правильно указали адреса, то архив будет распакован в папку.<br>';

echo '<br>Для запаковки архивов нужно указать любое имя будущего архива и папку которую нужно запаковать, после этого нажать выполнить и архив будет создан в той папке которую мы запаковали<br><br>';
echo 'Внимание! Для успешной запаковки или распаковки архива на директории должны стоять права разрешающие запись CHMOD-777<br>';

	
}

//-------------------------------- КОНЦОВКА ----------------------------------//
echo'<br><img src="../images/img/panel.gif" alt=""> <a href="index.php?'.SID.'">В админку</a><br>';
echo'<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a><br>';
} else {header ("Location: ../index.php?error&".SID);}
} else {header ("Location: ../index.php?error&".SID);}

include_once"../themes/$config_themes/foot.php";
?>